Bug 6039 - osec crashes. probably on 2.6.9-wks26-up-alt3
: osec crashes. probably on 2.6.9-wks26-up-alt3
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-wks26-up)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 6149
  Show dependency tree
 
Reported: 2005-02-05 10:06 by
Modified: 2006-11-30 21:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-05 10:06:10
После дистапргрейда до ALT Linux Sisyphus (20050131) сломался osec.
Было установлено ядро 2.6.9-wks26-up-alt3, osec версии osec-1.0.1-alt3.1.
В почтовом сообщении от cronjob:
fatal:Assertion '::cap_set_proc (caps)'
error:Operation not permitted
failed at file:main.cc:168
Program exited abnormally, exit code = 1
------- Comment #1 From 2005-02-07 11:31:53 -------
Ну коли отвалило ::cap_set_proc (caps), то разбирайтесь с ядром. В нём где-то
поломана поддержка capabilities.

На других ядрах всё работает нормально, например, на 2.6.10-std26-up-alt2.
------- Comment #2 From 2005-02-07 11:44:05 -------
Читайте замечания к -wks26 - чтобы подобных сообщений не повторялось, можно
либо
использовать realtime с http://lakostis.elektrostal.ru/src/realtime либо
добавить commoncap в /etc/modules

PS Пойду это FAQ повешу...
------- Comment #3 From 2005-02-12 12:18:58 -------
cut from sisyphus@ :

>
> есть еще варианты:
> 1) кроме commoncap, загрузить еще realtime

После этого все заработало ;)

> 2) вместо вышеперечисленных модулей загрузить capability

Этот модуль не грузится.

Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_ptrace
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_inode_setxattr
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_syslog
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_capget
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_task_reparent_to_init
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_task_post_setuid
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_bprm_set_security
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_bprm_secureexec
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_capset_check
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_bprm_apply_creds
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_capable
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_capset_set
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_vm_enough_memory
Feb 12 11:10:40 sasha kernel: capability: Unknown symbol cap_inode_removexattr 
------- Comment #4 From 2005-02-20 20:47:24 -------
Короче, для решения этой проблемы есть 2 workaround'а:

1) выставить commoncap в /etc/modules (т.к. для std26 тоже это будет скоро
необходимо)

2) Для остальных capabilities либо использовать realtime, либо capability (оба
они используют commoncap).
------- Comment #5 From 2006-01-07 21:02:43 -------
fixed in kernel-image-wks26-up-2.6.14-alt4.